const Sequelize = require('sequelize');

import sequelize from './db/sequelize';

/**
 * 患者信息
 */
const Exam = sequelize.define('exams', {
  id: { type: Sequelize.BIGINT, allowNull: false, primaryKey: true }, // uuid 16
  patient_id: { type: Sequelize.STRING, allowNull: true }, //patient_info 的id
  patient_num: { type: Sequelize.STRING, allowNull: true },
  accession_num: { type: Sequelize.STRING, allowNull: true },
  exam_datetime: { type: Sequelize.STRING, allowNull: true },
  exam_class: { type: Sequelize.STRING, allowNull: true },
  institution_id: { type: Sequelize.STRING, allowNull: true },
  study_id: { type: Sequelize.STRING, allowNull: true },
  exam_status: { type: Sequelize.INTEGER, allowNull: true },
  status: { type: Sequelize.STRING, allowNull: true },
}, {
  charset: 'utf8',
  indexes: [
    { fields: ["study_id"] }
  ]
});

export default Exam;
