const Sequelize = require('sequelize');

import sequelize from './db/sequelize';

/**
 * 患者信息
 */
const Patient = sequelize.define('patient_infos', {
  id: { type: Sequelize.BIGINT, allowNull: false, primaryKey: true, autoIncrement: true },
  name: { type: Sequelize.STRING, allowNull: false, defaultValue: true },
  sex: { type: Sequelize.STRING, allowNull: true },
  birthday: { type: Sequelize.STRING, allowNull: true },
  age: { type: Sequelize.STRING, allowNull: true },
  temp_patient_id: { type: Sequelize.STRING, allowNull: true },
  institution_id: { type: Sequelize.STRING, allowNull: true },
  status: { type: Sequelize.INTEGER, allowNull: true }
}, {
  charset: 'utf8',
  indexes: [
    { fields: ["institution_id"] },
    { fields: ["temp_patient_id"] }
  ]
});

Patient.sync({ force: false }).then(function() {});
export default Patient;
