const Sequelize = require('sequelize');
import sequelize from './db/sequelize';

const Report = sequelize.define('report', {
  id: { type: Sequelize.STRING(32), allowNull: false, primaryKey: true, comment: '报告id'},
  report_datetime: { type: Sequelize.DATE, allowNull: true, primaryKey: false, comment: '报告时间'},
  description: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '检查所见'},
  impression: { type: Sequelize.TEXT, allowNull: true, primaryKey: false, comment: '意见建议'},
  exam_id: { type: Sequelize.STRING(255), allowNull: true, primaryKey: false, comment: '检查表id'},
  type: { type: Sequelize.STRING(10), allowNull: true, primaryKey: false, defaultValue: '1', comment: '报告类型'},
},{
  freezeTableName: true,
  charset: 'utf8',
  createdAt: 'createdAt',
  updatedAt: false,
});

Report.sync({ force: false }).then(function() {});

export default Report;